# __gnu_parallel::transform2_selector< It > Struct Template Reference

std::transform() selector, two input sequences variant. More...

Inheritance diagram for __gnu_parallel::transform2_selector< It >:

List of all members.

## Public Member Functions

- template<typename Op > bool operator() (Op &o, It i)

## Public Attributes

- It finish_iterator

## Detailed Description

### template<typename It>
struct __gnu_parallel::transform2_selector< It >

std::transform() selector, two input sequences variant.

Definition at line 118 of file for_each_selectors.h.

## Member Function Documentation

template<typename It>
template<typename Op >

bool __gnu_parallel::transform2_selector< It >::operator() | ( | Op & | o,
|  | It | i |
| ) |  |  | `[inline]`

Functor execution.

Parameters:

  | o | Operator.
  | i | Iterator referencing object.

Definition at line 125 of file for_each_selectors.h.

## Member Data Documentation

It __gnu_parallel::generic_for_each_selector< It >::finish_iterator `[inherited]`

Iterator on last element processed; needed for some algorithms (e. g. std::transform()).

Definition at line 48 of file for_each_selectors.h.

The documentation for this struct was generated from the following file:

- for_each_selectors.h